Table of Contents

## Name

XdbeDeallocateBackBufferName - frees a DBE buffer.

## Synopsis

#include <X11/extensions/Xdbe.h>

Status XdbeDeallocateBackBufferName( Display *dpy,
XdbeBackBuffer buffer)

## Description

This function frees a drawable ID, buffer, that was obtained via XdbeAllocateBackBufferName(). The buffer must be a valid name for the back buffer of a window, or a protocol error results.

## Errors

BadBuffer
  The specified buffer is not associated with a window.

## See Also

DBE, XdbeAllocateBackBufferName(), XdbeBeginIdiom(), XdbeEndIdiom(), XdbeFreeVisualInfo(), XdbeGetBackBufferAttributes(), XdbeGetVisualInfo(), XdbeQueryExtension(), XdbeSwapBuffers().

Table of Contents

- Name
- Synopsis
- Description
- Errors
- See Also